org.apache.ignite.internal.jdbc

## Class JdbcDatabaseMetadata

- java.lang.Object
- - org.apache.ignite.internal.jdbc.JdbcDatabaseMetadata

All Implemented Interfaces:
  DatabaseMetaData, Wrapper

Deprecated.
Using Ignite client node based JDBC driver is preferable. See documentation of `IgniteJdbcDriver` for details.

    @Deprecated
    public class JdbcDatabaseMetadata
    extends Object
    implements DatabaseMetaData

JDBC database metadata implementation.

### Field Summary

### Fields inherited from interface java.sql.DatabaseMetaData

`attributeNoNulls, attributeNullable, attributeNullableUnknown, bestRowNotPseudo, bestRowPseudo, bestRowSession, bestRowTemporary, bestRowTransaction, bestRowUnknown, columnNoNulls, columnNullable, columnNullableUnknown, functionColumnIn, functionColumnInOut, functionColumnOut, functionColumnResult, functionColumnUnknown, functionNoNulls, functionNoTable, functionNullable, functionNullableUnknown, functionResultUnknown, functionReturn, functionReturnsTable, importedKeyCascade, importedKeyInitiallyDeferred, importedKeyInitiallyImmediate, importedKeyNoAction, importedKeyNotDeferrable, importedKeyRestrict, importedKeySetDefault, importedKeySetNull, procedureColumnIn, procedureColumnInOut, procedureColumnOut, procedureColumnResult, procedureColumnReturn, procedureColumnUnknown, procedureNoNulls, procedureNoResult, procedureNullable, procedureNullableUnknown, procedureResultUnknown, procedureReturnsResult, sqlStateSQL, sqlStateSQL99, sqlStateXOpen, tableIndexClustered, tableIndexHashed, tableIndexOther, tableIndexStatistic, typeNoNulls, typeNullable, typeNullableUnknown, typePredBasic, typePredChar, typePredNone, typeSearchable, versionColumnNotPseudo, versionColumnPseudo, versionColumnUnknown`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `allProceduresAreCallable()` Deprecated.
`boolean` `allTablesAreSelectable()` Deprecated.
`boolean` `autoCommitFailureClosesAllResultSets()` Deprecated.
`boolean` `dataDefinitionCausesTransactionCommit()` Deprecated.
`boolean` `dataDefinitionIgnoredInTransactions()` Deprecated.
`boolean` `deletesAreDetected(int type)` Deprecated.
`boolean` `doesMaxRowSizeIncludeBlobs()` Deprecated.
`boolean` `generatedKeyAlwaysReturned()` Deprecated.
`ResultSet` `getAttributes(String catalog, String schemaPtrn, String typeNamePtrn, String attributeNamePtrn)` Deprecated.
`ResultSet` `getBestRowIdentifier(String catalog, String schema, String tbl, int scope, boolean nullable)` Deprecated.
`ResultSet` `getCatalogs()` Deprecated.
`String` `getCatalogSeparator()` Deprecated.
`String` `getCatalogTerm()` Deprecated.
`ResultSet` `getClientInfoProperties()` Deprecated.
`ResultSet` `getColumnPrivileges(String catalog, String schema, String tbl, String colNamePtrn)` Deprecated.
`ResultSet` `getColumns(String catalog, String schemaPtrn, String tblNamePtrn, String colNamePtrn)` Deprecated.
`Connection` `getConnection()` Deprecated.
`ResultSet` `getCrossReference(String parentCatalog, String parentSchema, String parentTbl, String foreignCatalog, String foreignSchema, String foreignTbl)` Deprecated.
`int` `getDatabaseMajorVersion()` Deprecated.
`int` `getDatabaseMinorVersion()` Deprecated.
`String` `getDatabaseProductName()` Deprecated.
`String` `getDatabaseProductVersion()` Deprecated.
`int` `getDefaultTransactionIsolation()` Deprecated.
`int` `getDriverMajorVersion()` Deprecated.
`int` `getDriverMinorVersion()` Deprecated.
`String` `getDriverName()` Deprecated.
`String` `getDriverVersion()` Deprecated.
`ResultSet` `getExportedKeys(String catalog, String schema, String tbl)` Deprecated.
`String` `getExtraNameCharacters()` Deprecated.
`ResultSet` `getFunctionColumns(String catalog, String schemaPtrn, String functionNamePtrn, String colNamePtrn)` Deprecated.
`ResultSet` `getFunctions(String catalog, String schemaPtrn, String functionNamePtrn)` Deprecated.
`String` `getIdentifierQuoteString()` Deprecated.
`ResultSet` `getImportedKeys(String catalog, String schema, String tbl)` Deprecated.
`ResultSet` `getIndexInfo(String catalog, String schema, String tbl, boolean unique, boolean approximate)` Deprecated.
`int` `getJDBCMajorVersion()` Deprecated.
`int` `getJDBCMinorVersion()` Deprecated.
`int` `getMaxBinaryLiteralLength()` Deprecated.
`int` `getMaxCatalogNameLength()` Deprecated.
`int` `getMaxCharLiteralLength()` Deprecated.
`int` `getMaxColumnNameLength()` Deprecated.
`int` `getMaxColumnsInGroupBy()` Deprecated.
`int` `getMaxColumnsInIndex()` Deprecated.
`int` `getMaxColumnsInOrderBy()` Deprecated.
`int` `getMaxColumnsInSelect()` Deprecated.
`int` `getMaxColumnsInTable()` Deprecated.
`int` `getMaxConnections()` Deprecated.
`int` `getMaxCursorNameLength()` Deprecated.
`int` `getMaxIndexLength()` Deprecated.
`int` `getMaxProcedureNameLength()` Deprecated.
`int` `getMaxRowSize()` Deprecated.
`int` `getMaxSchemaNameLength()` Deprecated.
`int` `getMaxStatementLength()` Deprecated.
`int` `getMaxStatements()` Deprecated.
`int` `getMaxTableNameLength()` Deprecated.
`int` `getMaxTablesInSelect()` Deprecated.
`int` `getMaxUserNameLength()` Deprecated.
`String` `getNumericFunctions()` Deprecated.
`ResultSet` `getPrimaryKeys(String catalog, String schema, String tbl)` Deprecated.
`ResultSet` `getProcedureColumns(String catalog, String schemaPtrn, String procedureNamePtrn, String colNamePtrn)` Deprecated.
`ResultSet` `getProcedures(String catalog, String schemaPtrn, String procedureNamePtrn)` Deprecated.
`String` `getProcedureTerm()` Deprecated.
`ResultSet` `getPseudoColumns(String catalog, String schemaPtrn, String tblNamePtrn, String colNamePtrn)` Deprecated.
`int` `getResultSetHoldability()` Deprecated.
`RowIdLifetime` `getRowIdLifetime()` Deprecated.
`ResultSet` `getSchemas()` Deprecated.
`ResultSet` `getSchemas(String catalog, String schemaPtrn)` Deprecated.
`String` `getSchemaTerm()` Deprecated.
`String` `getSearchStringEscape()` Deprecated.
`String` `getSQLKeywords()` Deprecated.
`int` `getSQLStateType()` Deprecated.
`String` `getStringFunctions()` Deprecated.
`ResultSet` `getSuperTables(String catalog, String schemaPtrn, String tblNamePtrn)` Deprecated.
`ResultSet` `getSuperTypes(String catalog, String schemaPtrn, String typeNamePtrn)` Deprecated.
`String` `getSystemFunctions()` Deprecated.
`ResultSet` `getTablePrivileges(String catalog, String schemaPtrn, String tblNamePtrn)` Deprecated.
`ResultSet` `getTables(String catalog, String schemaPtrn, String tblNamePtrn, String[] tblTypes)` Deprecated.
`ResultSet` `getTableTypes()` Deprecated.
`String` `getTimeDateFunctions()` Deprecated.
`ResultSet` `getTypeInfo()` Deprecated.
`ResultSet` `getUDTs(String catalog, String schemaPtrn, String typeNamePtrn, int[] types)` Deprecated.
`String` `getURL()` Deprecated.
`String` `getUserName()` Deprecated.
`ResultSet` `getVersionColumns(String catalog, String schema, String tbl)` Deprecated.
`boolean` `insertsAreDetected(int type)` Deprecated.
`boolean` `isCatalogAtStart()` Deprecated.
`boolean` `isReadOnly()` Deprecated.
`boolean` `isWrapperFor(Class<?> iface)` Deprecated.
`boolean` `locatorsUpdateCopy()` Deprecated.
`boolean` `nullPlusNonNullIsNull()` Deprecated.
`boolean` `nullsAreSortedAtEnd()` Deprecated.
`boolean` `nullsAreSortedAtStart()` Deprecated.
`boolean` `nullsAreSortedHigh()` Deprecated.
`boolean` `nullsAreSortedLow()` Deprecated.
`boolean` `othersDeletesAreVisible(int type)` Deprecated.
`boolean` `othersInsertsAreVisible(int type)` Deprecated.
`boolean` `othersUpdatesAreVisible(int type)` Deprecated.
`boolean` `ownDeletesAreVisible(int type)` Deprecated.
`boolean` `ownInsertsAreVisible(int type)` Deprecated.
`boolean` `ownUpdatesAreVisible(int type)` Deprecated.
`boolean` `storesLowerCaseIdentifiers()` Deprecated.
`boolean` `storesLowerCaseQuotedIdentifiers()` Deprecated.
`boolean` `storesMixedCaseIdentifiers()` Deprecated.
`boolean` `storesMixedCaseQuotedIdentifiers()` Deprecated.
`boolean` `storesUpperCaseIdentifiers()` Deprecated.
`boolean` `storesUpperCaseQuotedIdentifiers()` Deprecated.
`boolean` `supportsAlterTableWithAddColumn()` Deprecated.
`boolean` `supportsAlterTableWithDropColumn()` Deprecated.
`boolean` `supportsANSI92EntryLevelSQL()` Deprecated.
`boolean` `supportsANSI92FullSQL()` Deprecated.
`boolean` `supportsANSI92IntermediateSQL()` Deprecated.
`boolean` `supportsBatchUpdates()` Deprecated.
`boolean` `supportsCatalogsInDataManipulation()` Deprecated.
`boolean` `supportsCatalogsInIndexDefinitions()` Deprecated.
`boolean` `supportsCatalogsInPrivilegeDefinitions()` Deprecated.
`boolean` `supportsCatalogsInProcedureCalls()` Deprecated.
`boolean` `supportsCatalogsInTableDefinitions()` Deprecated.
`boolean` `supportsColumnAliasing()` Deprecated.
`boolean` `supportsConvert()` Deprecated.
`boolean` `supportsConvert(int fromType, int toType)` Deprecated.
`boolean` `supportsCoreSQLGrammar()` Deprecated.
`boolean` `supportsCorrelatedSubqueries()` Deprecated.
`boolean` `supportsDataDefinitionAndDataManipulationTransactions()` Deprecated.
`boolean` `supportsDataManipulationTransactionsOnly()` Deprecated.
`boolean` `supportsDifferentTableCorrelationNames()` Deprecated.
`boolean` `supportsExpressionsInOrderBy()` Deprecated.
`boolean` `supportsExtendedSQLGrammar()` Deprecated.
`boolean` `supportsFullOuterJoins()` Deprecated.
`boolean` `supportsGetGeneratedKeys()` Deprecated.
`boolean` `supportsGroupBy()` Deprecated.
`boolean` `supportsGroupByBeyondSelect()` Deprecated.
`boolean` `supportsGroupByUnrelated()` Deprecated.
`boolean` `supportsIntegrityEnhancementFacility()` Deprecated.
`boolean` `supportsLikeEscapeClause()` Deprecated.
`boolean` `supportsLimitedOuterJoins()` Deprecated.
`boolean` `supportsMinimumSQLGrammar()` Deprecated.
`boolean` `supportsMixedCaseIdentifiers()` Deprecated.
`boolean` `supportsMixedCaseQuotedIdentifiers()` Deprecated.
`boolean` `supportsMultipleOpenResults()` Deprecated.
`boolean` `supportsMultipleResultSets()` Deprecated.
`boolean` `supportsMultipleTransactions()` Deprecated.
`boolean` `supportsNamedParameters()` Deprecated.
`boolean` `supportsNonNullableColumns()` Deprecated.
`boolean` `supportsOpenCursorsAcrossCommit()` Deprecated.
`boolean` `supportsOpenCursorsAcrossRollback()` Deprecated.
`boolean` `supportsOpenStatementsAcrossCommit()` Deprecated.
`boolean` `supportsOpenStatementsAcrossRollback()` Deprecated.
`boolean` `supportsOrderByUnrelated()` Deprecated.
`boolean` `supportsOuterJoins()` Deprecated.
`boolean` `supportsPositionedDelete()` Deprecated.
`boolean` `supportsPositionedUpdate()` Deprecated.
`boolean` `supportsResultSetConcurrency(int type, int concurrency)` Deprecated.
`boolean` `supportsResultSetHoldability(int holdability)` Deprecated.
`boolean` `supportsResultSetType(int type)` Deprecated.
`boolean` `supportsSavepoints()` Deprecated.
`boolean` `supportsSchemasInDataManipulation()` Deprecated.
`boolean` `supportsSchemasInIndexDefinitions()` Deprecated.
`boolean` `supportsSchemasInPrivilegeDefinitions()` Deprecated.
`boolean` `supportsSchemasInProcedureCalls()` Deprecated.
`boolean` `supportsSchemasInTableDefinitions()` Deprecated.
`boolean` `supportsSelectForUpdate()` Deprecated.
`boolean` `supportsStatementPooling()` Deprecated.
`boolean` `supportsStoredFunctionsUsingCallSyntax()` Deprecated.
`boolean` `supportsStoredProcedures()` Deprecated.
`boolean` `supportsSubqueriesInComparisons()` Deprecated.
`boolean` `supportsSubqueriesInExists()` Deprecated.
`boolean` `supportsSubqueriesInIns()` Deprecated.
`boolean` `supportsSubqueriesInQuantifieds()` Deprecated.
`boolean` `supportsTableCorrelationNames()` Deprecated.
`boolean` `supportsTransactionIsolationLevel(int level)` Deprecated.
`boolean` `supportsTransactions()` Deprecated.
`boolean` `supportsUnion()` Deprecated.
`boolean` `supportsUnionAll()` Deprecated.
`<T> T` `unwrap(Class<T> iface)` Deprecated.
`boolean` `updatesAreDetected(int type)` Deprecated.
`boolean` `usesLocalFilePerTable()` Deprecated.
`boolean` `usesLocalFiles()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.DatabaseMetaData

`getMaxLogicalLobSize, supportsRefCursors`

### Method Detail

#### allProceduresAreCallable

    public boolean allProceduresAreCallable()
                                     throws SQLException

Deprecated.

Specified by:
  `allProceduresAreCallable` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### allTablesAreSelectable

    public boolean allTablesAreSelectable()
                                   throws SQLException

Deprecated.

Specified by:
  `allTablesAreSelectable` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getURL

    public String getURL()
                  throws SQLException

Deprecated.

Specified by:
  `getURL` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getUserName

    public String getUserName()
                       throws SQLException

Deprecated.

Specified by:
  `getUserName` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### isReadOnly

    public boolean isReadOnly()
                       throws SQLException

Deprecated.

Specified by:
  `isReadOnly` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### nullsAreSortedHigh

    public boolean nullsAreSortedHigh()
                               throws SQLException

Deprecated.

Specified by:
  `nullsAreSortedHigh` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### nullsAreSortedLow

    public boolean nullsAreSortedLow()
                              throws SQLException

Deprecated.

Specified by:
  `nullsAreSortedLow` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### nullsAreSortedAtStart

    public boolean nullsAreSortedAtStart()
                                  throws SQLException

Deprecated.

Specified by:
  `nullsAreSortedAtStart` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### nullsAreSortedAtEnd

    public boolean nullsAreSortedAtEnd()
                                throws SQLException

Deprecated.

Specified by:
  `nullsAreSortedAtEnd` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getDatabaseProductName

    public String getDatabaseProductName()
                                  throws SQLException

Deprecated.

Specified by:
  `getDatabaseProductName` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getDatabaseProductVersion

    public String getDatabaseProductVersion()
                                     throws SQLException

Deprecated.

Specified by:
  `getDatabaseProductVersion` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getDriverName

    public String getDriverName()
                         throws SQLException

Deprecated.

Specified by:
  `getDriverName` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getDriverVersion

    public String getDriverVersion()
                            throws SQLException

Deprecated.

Specified by:
  `getDriverVersion` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getDriverMajorVersion

    public int getDriverMajorVersion()

Deprecated.

Specified by:
  `getDriverMajorVersion` in interface `DatabaseMetaData`

#### getDriverMinorVersion

    public int getDriverMinorVersion()

Deprecated.

Specified by:
  `getDriverMinorVersion` in interface `DatabaseMetaData`

#### usesLocalFiles

    public boolean usesLocalFiles()
                           throws SQLException

Deprecated.

Specified by:
  `usesLocalFiles` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### usesLocalFilePerTable

    public boolean usesLocalFilePerTable()
                                  throws SQLException

Deprecated.

Specified by:
  `usesLocalFilePerTable` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsMixedCaseIdentifiers

    public boolean supportsMixedCaseIdentifiers()
                                         throws SQLException

Deprecated.

Specified by:
  `supportsMixedCaseIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### storesUpperCaseIdentifiers

    public boolean storesUpperCaseIdentifiers()
                                       throws SQLException

Deprecated.

Specified by:
  `storesUpperCaseIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### storesLowerCaseIdentifiers

    public boolean storesLowerCaseIdentifiers()
                                       throws SQLException

Deprecated.

Specified by:
  `storesLowerCaseIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### storesMixedCaseIdentifiers

    public boolean storesMixedCaseIdentifiers()
                                       throws SQLException

Deprecated.

Specified by:
  `storesMixedCaseIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsMixedCaseQuotedIdentifiers

    public boolean supportsMixedCaseQuotedIdentifiers()
                                               throws SQLException

Deprecated.

Specified by:
  `supportsMixedCaseQuotedIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### storesUpperCaseQuotedIdentifiers

    public boolean storesUpperCaseQuotedIdentifiers()
                                             throws SQLException

Deprecated.

Specified by:
  `storesUpperCaseQuotedIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### storesLowerCaseQuotedIdentifiers

    public boolean storesLowerCaseQuotedIdentifiers()
                                             throws SQLException

Deprecated.

Specified by:
  `storesLowerCaseQuotedIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### storesMixedCaseQuotedIdentifiers

    public boolean storesMixedCaseQuotedIdentifiers()
                                             throws SQLException

Deprecated.

Specified by:
  `storesMixedCaseQuotedIdentifiers` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getIdentifierQuoteString

    public String getIdentifierQuoteString()
                                    throws SQLException

Deprecated.

Specified by:
  `getIdentifierQuoteString` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSQLKeywords

    public String getSQLKeywords()
                          throws SQLException

Deprecated.

Specified by:
  `getSQLKeywords` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getNumericFunctions

    public String getNumericFunctions()
                               throws SQLException

Deprecated.

Specified by:
  `getNumericFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getStringFunctions

    public String getStringFunctions()
                              throws SQLException

Deprecated.

Specified by:
  `getStringFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSystemFunctions

    public String getSystemFunctions()
                              throws SQLException

Deprecated.

Specified by:
  `getSystemFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getTimeDateFunctions

    public String getTimeDateFunctions()
                                throws SQLException

Deprecated.

Specified by:
  `getTimeDateFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSearchStringEscape

    public String getSearchStringEscape()
                                 throws SQLException

Deprecated.

Specified by:
  `getSearchStringEscape` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getExtraNameCharacters

    public String getExtraNameCharacters()
                                  throws SQLException

Deprecated.

Specified by:
  `getExtraNameCharacters` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsAlterTableWithAddColumn

    public boolean supportsAlterTableWithAddColumn()
                                            throws SQLException

Deprecated.

Specified by:
  `supportsAlterTableWithAddColumn` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsAlterTableWithDropColumn

    public boolean supportsAlterTableWithDropColumn()
                                             throws SQLException

Deprecated.

Specified by:
  `supportsAlterTableWithDropColumn` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsColumnAliasing

    public boolean supportsColumnAliasing()
                                   throws SQLException

Deprecated.

Specified by:
  `supportsColumnAliasing` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### nullPlusNonNullIsNull

    public boolean nullPlusNonNullIsNull()
                                  throws SQLException

Deprecated.

Specified by:
  `nullPlusNonNullIsNull` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsConvert

    public boolean supportsConvert()
                            throws SQLException

Deprecated.

Specified by:
  `supportsConvert` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsConvert

    public boolean supportsConvert(int fromType,
                                   int toType)
                            throws SQLException

Deprecated.

Specified by:
  `supportsConvert` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsTableCorrelationNames

    public boolean supportsTableCorrelationNames()
                                          throws SQLException

Deprecated.

Specified by:
  `supportsTableCorrelationNames` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsDifferentTableCorrelationNames

    public boolean supportsDifferentTableCorrelationNames()
                                                   throws SQLException

Deprecated.

Specified by:
  `supportsDifferentTableCorrelationNames` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsExpressionsInOrderBy

    public boolean supportsExpressionsInOrderBy()
                                         throws SQLException

Deprecated.

Specified by:
  `supportsExpressionsInOrderBy` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsOrderByUnrelated

    public boolean supportsOrderByUnrelated()
                                     throws SQLException

Deprecated.

Specified by:
  `supportsOrderByUnrelated` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsGroupBy

    public boolean supportsGroupBy()
                            throws SQLException

Deprecated.

Specified by:
  `supportsGroupBy` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsGroupByUnrelated

    public boolean supportsGroupByUnrelated()
                                     throws SQLException

Deprecated.

Specified by:
  `supportsGroupByUnrelated` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsGroupByBeyondSelect

    public boolean supportsGroupByBeyondSelect()
                                        throws SQLException

Deprecated.

Specified by:
  `supportsGroupByBeyondSelect` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsLikeEscapeClause

    public boolean supportsLikeEscapeClause()
                                     throws SQLException

Deprecated.

Specified by:
  `supportsLikeEscapeClause` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsMultipleResultSets

    public boolean supportsMultipleResultSets()
                                       throws SQLException

Deprecated.

Specified by:
  `supportsMultipleResultSets` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsMultipleTransactions

    public boolean supportsMultipleTransactions()
                                         throws SQLException

Deprecated.

Specified by:
  `supportsMultipleTransactions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsNonNullableColumns

    public boolean supportsNonNullableColumns()
                                       throws SQLException

Deprecated.

Specified by:
  `supportsNonNullableColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsMinimumSQLGrammar

    public boolean supportsMinimumSQLGrammar()
                                      throws SQLException

Deprecated.

Specified by:
  `supportsMinimumSQLGrammar` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsCoreSQLGrammar

    public boolean supportsCoreSQLGrammar()
                                   throws SQLException

Deprecated.

Specified by:
  `supportsCoreSQLGrammar` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsExtendedSQLGrammar

    public boolean supportsExtendedSQLGrammar()
                                       throws SQLException

Deprecated.

Specified by:
  `supportsExtendedSQLGrammar` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsANSI92EntryLevelSQL

    public boolean supportsANSI92EntryLevelSQL()
                                        throws SQLException

Deprecated.

Specified by:
  `supportsANSI92EntryLevelSQL` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsANSI92IntermediateSQL

    public boolean supportsANSI92IntermediateSQL()
                                          throws SQLException

Deprecated.

Specified by:
  `supportsANSI92IntermediateSQL` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsANSI92FullSQL

    public boolean supportsANSI92FullSQL()
                                  throws SQLException

Deprecated.

Specified by:
  `supportsANSI92FullSQL` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsIntegrityEnhancementFacility

    public boolean supportsIntegrityEnhancementFacility()
                                                 throws SQLException

Deprecated.

Specified by:
  `supportsIntegrityEnhancementFacility` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsOuterJoins

    public boolean supportsOuterJoins()
                               throws SQLException

Deprecated.

Specified by:
  `supportsOuterJoins` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsFullOuterJoins

    public boolean supportsFullOuterJoins()
                                   throws SQLException

Deprecated.

Specified by:
  `supportsFullOuterJoins` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsLimitedOuterJoins

    public boolean supportsLimitedOuterJoins()
                                      throws SQLException

Deprecated.

Specified by:
  `supportsLimitedOuterJoins` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSchemaTerm

    public String getSchemaTerm()
                         throws SQLException

Deprecated.

Specified by:
  `getSchemaTerm` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getProcedureTerm

    public String getProcedureTerm()
                            throws SQLException

Deprecated.

Specified by:
  `getProcedureTerm` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getCatalogTerm

    public String getCatalogTerm()
                          throws SQLException

Deprecated.

Specified by:
  `getCatalogTerm` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### isCatalogAtStart

    public boolean isCatalogAtStart()
                             throws SQLException

Deprecated.

Specified by:
  `isCatalogAtStart` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getCatalogSeparator

    public String getCatalogSeparator()
                               throws SQLException

Deprecated.

Specified by:
  `getCatalogSeparator` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSchemasInDataManipulation

    public boolean supportsSchemasInDataManipulation()
                                              throws SQLException

Deprecated.

Specified by:
  `supportsSchemasInDataManipulation` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSchemasInProcedureCalls

    public boolean supportsSchemasInProcedureCalls()
                                            throws SQLException

Deprecated.

Specified by:
  `supportsSchemasInProcedureCalls` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSchemasInTableDefinitions

    public boolean supportsSchemasInTableDefinitions()
                                              throws SQLException

Deprecated.

Specified by:
  `supportsSchemasInTableDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSchemasInIndexDefinitions

    public boolean supportsSchemasInIndexDefinitions()
                                              throws SQLException

Deprecated.

Specified by:
  `supportsSchemasInIndexDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSchemasInPrivilegeDefinitions

    public boolean supportsSchemasInPrivilegeDefinitions()
                                                  throws SQLException

Deprecated.

Specified by:
  `supportsSchemasInPrivilegeDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsCatalogsInDataManipulation

    public boolean supportsCatalogsInDataManipulation()
                                               throws SQLException

Deprecated.

Specified by:
  `supportsCatalogsInDataManipulation` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsCatalogsInProcedureCalls

    public boolean supportsCatalogsInProcedureCalls()
                                             throws SQLException

Deprecated.

Specified by:
  `supportsCatalogsInProcedureCalls` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsCatalogsInTableDefinitions

    public boolean supportsCatalogsInTableDefinitions()
                                               throws SQLException

Deprecated.

Specified by:
  `supportsCatalogsInTableDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsCatalogsInIndexDefinitions

    public boolean supportsCatalogsInIndexDefinitions()
                                               throws SQLException

Deprecated.

Specified by:
  `supportsCatalogsInIndexDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsCatalogsInPrivilegeDefinitions

    public boolean supportsCatalogsInPrivilegeDefinitions()
                                                   throws SQLException

Deprecated.

Specified by:
  `supportsCatalogsInPrivilegeDefinitions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsPositionedDelete

    public boolean supportsPositionedDelete()
                                     throws SQLException

Deprecated.

Specified by:
  `supportsPositionedDelete` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsPositionedUpdate

    public boolean supportsPositionedUpdate()
                                     throws SQLException

Deprecated.

Specified by:
  `supportsPositionedUpdate` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSelectForUpdate

    public boolean supportsSelectForUpdate()
                                    throws SQLException

Deprecated.

Specified by:
  `supportsSelectForUpdate` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsStoredProcedures

    public boolean supportsStoredProcedures()
                                     throws SQLException

Deprecated.

Specified by:
  `supportsStoredProcedures` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSubqueriesInComparisons

    public boolean supportsSubqueriesInComparisons()
                                            throws SQLException

Deprecated.

Specified by:
  `supportsSubqueriesInComparisons` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSubqueriesInExists

    public boolean supportsSubqueriesInExists()
                                       throws SQLException

Deprecated.

Specified by:
  `supportsSubqueriesInExists` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSubqueriesInIns

    public boolean supportsSubqueriesInIns()
                                    throws SQLException

Deprecated.

Specified by:
  `supportsSubqueriesInIns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSubqueriesInQuantifieds

    public boolean supportsSubqueriesInQuantifieds()
                                            throws SQLException

Deprecated.

Specified by:
  `supportsSubqueriesInQuantifieds` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsCorrelatedSubqueries

    public boolean supportsCorrelatedSubqueries()
                                         throws SQLException

Deprecated.

Specified by:
  `supportsCorrelatedSubqueries` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsUnion

    public boolean supportsUnion()
                          throws SQLException

Deprecated.

Specified by:
  `supportsUnion` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsUnionAll

    public boolean supportsUnionAll()
                             throws SQLException

Deprecated.

Specified by:
  `supportsUnionAll` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsOpenCursorsAcrossCommit

    public boolean supportsOpenCursorsAcrossCommit()
                                            throws SQLException

Deprecated.

Specified by:
  `supportsOpenCursorsAcrossCommit` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsOpenCursorsAcrossRollback

    public boolean supportsOpenCursorsAcrossRollback()
                                              throws SQLException

Deprecated.

Specified by:
  `supportsOpenCursorsAcrossRollback` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsOpenStatementsAcrossCommit

    public boolean supportsOpenStatementsAcrossCommit()
                                               throws SQLException

Deprecated.

Specified by:
  `supportsOpenStatementsAcrossCommit` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsOpenStatementsAcrossRollback

    public boolean supportsOpenStatementsAcrossRollback()
                                                 throws SQLException

Deprecated.

Specified by:
  `supportsOpenStatementsAcrossRollback` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxBinaryLiteralLength

    public int getMaxBinaryLiteralLength()
                                  throws SQLException

Deprecated.

Specified by:
  `getMaxBinaryLiteralLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxCharLiteralLength

    public int getMaxCharLiteralLength()
                                throws SQLException

Deprecated.

Specified by:
  `getMaxCharLiteralLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxColumnNameLength

    public int getMaxColumnNameLength()
                               throws SQLException

Deprecated.

Specified by:
  `getMaxColumnNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxColumnsInGroupBy

    public int getMaxColumnsInGroupBy()
                               throws SQLException

Deprecated.

Specified by:
  `getMaxColumnsInGroupBy` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxColumnsInIndex

    public int getMaxColumnsInIndex()
                             throws SQLException

Deprecated.

Specified by:
  `getMaxColumnsInIndex` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxColumnsInOrderBy

    public int getMaxColumnsInOrderBy()
                               throws SQLException

Deprecated.

Specified by:
  `getMaxColumnsInOrderBy` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxColumnsInSelect

    public int getMaxColumnsInSelect()
                              throws SQLException

Deprecated.

Specified by:
  `getMaxColumnsInSelect` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxColumnsInTable

    public int getMaxColumnsInTable()
                             throws SQLException

Deprecated.

Specified by:
  `getMaxColumnsInTable` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxConnections

    public int getMaxConnections()
                          throws SQLException

Deprecated.

Specified by:
  `getMaxConnections` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxCursorNameLength

    public int getMaxCursorNameLength()
                               throws SQLException

Deprecated.

Specified by:
  `getMaxCursorNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxIndexLength

    public int getMaxIndexLength()
                          throws SQLException

Deprecated.

Specified by:
  `getMaxIndexLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxSchemaNameLength

    public int getMaxSchemaNameLength()
                               throws SQLException

Deprecated.

Specified by:
  `getMaxSchemaNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxProcedureNameLength

    public int getMaxProcedureNameLength()
                                  throws SQLException

Deprecated.

Specified by:
  `getMaxProcedureNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxCatalogNameLength

    public int getMaxCatalogNameLength()
                                throws SQLException

Deprecated.

Specified by:
  `getMaxCatalogNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxRowSize

    public int getMaxRowSize()
                      throws SQLException

Deprecated.

Specified by:
  `getMaxRowSize` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### doesMaxRowSizeIncludeBlobs

    public boolean doesMaxRowSizeIncludeBlobs()
                                       throws SQLException

Deprecated.

Specified by:
  `doesMaxRowSizeIncludeBlobs` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxStatementLength

    public int getMaxStatementLength()
                              throws SQLException

Deprecated.

Specified by:
  `getMaxStatementLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxStatements

    public int getMaxStatements()
                         throws SQLException

Deprecated.

Specified by:
  `getMaxStatements` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxTableNameLength

    public int getMaxTableNameLength()
                              throws SQLException

Deprecated.

Specified by:
  `getMaxTableNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxTablesInSelect

    public int getMaxTablesInSelect()
                             throws SQLException

Deprecated.

Specified by:
  `getMaxTablesInSelect` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getMaxUserNameLength

    public int getMaxUserNameLength()
                             throws SQLException

Deprecated.

Specified by:
  `getMaxUserNameLength` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getDefaultTransactionIsolation

    public int getDefaultTransactionIsolation()
                                       throws SQLException

Deprecated.

Specified by:
  `getDefaultTransactionIsolation` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsTransactions

    public boolean supportsTransactions()
                                 throws SQLException

Deprecated.

Specified by:
  `supportsTransactions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsTransactionIsolationLevel

    public boolean supportsTransactionIsolationLevel(int level)
                                              throws SQLException

Deprecated.

Specified by:
  `supportsTransactionIsolationLevel` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsDataDefinitionAndDataManipulationTransactions

    public boolean supportsDataDefinitionAndDataManipulationTransactions()
                                                                  throws SQLException

Deprecated.

Specified by:
  `supportsDataDefinitionAndDataManipulationTransactions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsDataManipulationTransactionsOnly

    public boolean supportsDataManipulationTransactionsOnly()
                                                     throws SQLException

Deprecated.

Specified by:
  `supportsDataManipulationTransactionsOnly` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### dataDefinitionCausesTransactionCommit

    public boolean dataDefinitionCausesTransactionCommit()
                                                  throws SQLException

Deprecated.

Specified by:
  `dataDefinitionCausesTransactionCommit` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### dataDefinitionIgnoredInTransactions

    public boolean dataDefinitionIgnoredInTransactions()
                                                throws SQLException

Deprecated.

Specified by:
  `dataDefinitionIgnoredInTransactions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getProcedures

    public ResultSet getProcedures(String catalog,
                                   String schemaPtrn,
                                   String procedureNamePtrn)
                            throws SQLException

Deprecated.

Specified by:
  `getProcedures` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getProcedureColumns

    public ResultSet getProcedureColumns(String catalog,
                                         String schemaPtrn,
                                         String procedureNamePtrn,
                                         String colNamePtrn)
                                  throws SQLException

Deprecated.

Specified by:
  `getProcedureColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getTables

    public ResultSet getTables(String catalog,
                               String schemaPtrn,
                               String tblNamePtrn,
                               String[] tblTypes)
                        throws SQLException

Deprecated.

Specified by:
  `getTables` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSchemas

    public ResultSet getSchemas()
                         throws SQLException

Deprecated.

Specified by:
  `getSchemas` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getCatalogs

    public ResultSet getCatalogs()
                          throws SQLException

Deprecated.

Specified by:
  `getCatalogs` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getTableTypes

    public ResultSet getTableTypes()
                            throws SQLException

Deprecated.

Specified by:
  `getTableTypes` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getColumns

    public ResultSet getColumns(String catalog,
                                String schemaPtrn,
                                String tblNamePtrn,
                                String colNamePtrn)
                         throws SQLException

Deprecated.

Specified by:
  `getColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getColumnPrivileges

    public ResultSet getColumnPrivileges(String catalog,
                                         String schema,
                                         String tbl,
                                         String colNamePtrn)
                                  throws SQLException

Deprecated.

Specified by:
  `getColumnPrivileges` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getTablePrivileges

    public ResultSet getTablePrivileges(String catalog,
                                        String schemaPtrn,
                                        String tblNamePtrn)
                                 throws SQLException

Deprecated.

Specified by:
  `getTablePrivileges` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getBestRowIdentifier

    public ResultSet getBestRowIdentifier(String catalog,
                                          String schema,
                                          String tbl,
                                          int scope,
                                          boolean nullable)
                                   throws SQLException

Deprecated.

Specified by:
  `getBestRowIdentifier` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getVersionColumns

    public ResultSet getVersionColumns(String catalog,
                                       String schema,
                                       String tbl)
                                throws SQLException

Deprecated.

Specified by:
  `getVersionColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getPrimaryKeys

    public ResultSet getPrimaryKeys(String catalog,
                                    String schema,
                                    String tbl)
                             throws SQLException

Deprecated.

Specified by:
  `getPrimaryKeys` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getImportedKeys

    public ResultSet getImportedKeys(String catalog,
                                     String schema,
                                     String tbl)
                              throws SQLException

Deprecated.

Specified by:
  `getImportedKeys` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getExportedKeys

    public ResultSet getExportedKeys(String catalog,
                                     String schema,
                                     String tbl)
                              throws SQLException

Deprecated.

Specified by:
  `getExportedKeys` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getCrossReference

    public ResultSet getCrossReference(String parentCatalog,
                                       String parentSchema,
                                       String parentTbl,
                                       String foreignCatalog,
                                       String foreignSchema,
                                       String foreignTbl)
                                throws SQLException

Deprecated.

Specified by:
  `getCrossReference` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getTypeInfo

    public ResultSet getTypeInfo()
                          throws SQLException

Deprecated.

Specified by:
  `getTypeInfo` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getIndexInfo

    public ResultSet getIndexInfo(String catalog,
                                  String schema,
                                  String tbl,
                                  boolean unique,
                                  boolean approximate)
                           throws SQLException

Deprecated.

Specified by:
  `getIndexInfo` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsResultSetType

    public boolean supportsResultSetType(int type)
                                  throws SQLException

Deprecated.

Specified by:
  `supportsResultSetType` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsResultSetConcurrency

    public boolean supportsResultSetConcurrency(int type,
                                                int concurrency)
                                         throws SQLException

Deprecated.

Specified by:
  `supportsResultSetConcurrency` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### ownUpdatesAreVisible

    public boolean ownUpdatesAreVisible(int type)
                                 throws SQLException

Deprecated.

Specified by:
  `ownUpdatesAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### ownDeletesAreVisible

    public boolean ownDeletesAreVisible(int type)
                                 throws SQLException

Deprecated.

Specified by:
  `ownDeletesAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### ownInsertsAreVisible

    public boolean ownInsertsAreVisible(int type)
                                 throws SQLException

Deprecated.

Specified by:
  `ownInsertsAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### othersUpdatesAreVisible

    public boolean othersUpdatesAreVisible(int type)
                                    throws SQLException

Deprecated.

Specified by:
  `othersUpdatesAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### othersDeletesAreVisible

    public boolean othersDeletesAreVisible(int type)
                                    throws SQLException

Deprecated.

Specified by:
  `othersDeletesAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### othersInsertsAreVisible

    public boolean othersInsertsAreVisible(int type)
                                    throws SQLException

Deprecated.

Specified by:
  `othersInsertsAreVisible` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### updatesAreDetected

    public boolean updatesAreDetected(int type)
                               throws SQLException

Deprecated.

Specified by:
  `updatesAreDetected` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### deletesAreDetected

    public boolean deletesAreDetected(int type)
                               throws SQLException

Deprecated.

Specified by:
  `deletesAreDetected` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### insertsAreDetected

    public boolean insertsAreDetected(int type)
                               throws SQLException

Deprecated.

Specified by:
  `insertsAreDetected` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsBatchUpdates

    public boolean supportsBatchUpdates()
                                 throws SQLException

Deprecated.

Specified by:
  `supportsBatchUpdates` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getUDTs

    public ResultSet getUDTs(String catalog,
                             String schemaPtrn,
                             String typeNamePtrn,
                             int[] types)
                      throws SQLException

Deprecated.

Specified by:
  `getUDTs` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getConnection

    public Connection getConnection()
                             throws SQLException

Deprecated.

Specified by:
  `getConnection` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsSavepoints

    public boolean supportsSavepoints()
                               throws SQLException

Deprecated.

Specified by:
  `supportsSavepoints` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsNamedParameters

    public boolean supportsNamedParameters()
                                    throws SQLException

Deprecated.

Specified by:
  `supportsNamedParameters` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsMultipleOpenResults

    public boolean supportsMultipleOpenResults()
                                        throws SQLException

Deprecated.

Specified by:
  `supportsMultipleOpenResults` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsGetGeneratedKeys

    public boolean supportsGetGeneratedKeys()
                                     throws SQLException

Deprecated.

Specified by:
  `supportsGetGeneratedKeys` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSuperTypes

    public ResultSet getSuperTypes(String catalog,
                                   String schemaPtrn,
                                   String typeNamePtrn)
                            throws SQLException

Deprecated.

Specified by:
  `getSuperTypes` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSuperTables

    public ResultSet getSuperTables(String catalog,
                                    String schemaPtrn,
                                    String tblNamePtrn)
                             throws SQLException

Deprecated.

Specified by:
  `getSuperTables` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getAttributes

    public ResultSet getAttributes(String catalog,
                                   String schemaPtrn,
                                   String typeNamePtrn,
                                   String attributeNamePtrn)
                            throws SQLException

Deprecated.

Specified by:
  `getAttributes` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsResultSetHoldability

    public boolean supportsResultSetHoldability(int holdability)
                                         throws SQLException

Deprecated.

Specified by:
  `supportsResultSetHoldability` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getResultSetHoldability

    public int getResultSetHoldability()
                                throws SQLException

Deprecated.

Specified by:
  `getResultSetHoldability` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getDatabaseMajorVersion

    public int getDatabaseMajorVersion()
                                throws SQLException

Deprecated.

Specified by:
  `getDatabaseMajorVersion` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getDatabaseMinorVersion

    public int getDatabaseMinorVersion()
                                throws SQLException

Deprecated.

Specified by:
  `getDatabaseMinorVersion` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getJDBCMajorVersion

    public int getJDBCMajorVersion()
                            throws SQLException

Deprecated.

Specified by:
  `getJDBCMajorVersion` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getJDBCMinorVersion

    public int getJDBCMinorVersion()
                            throws SQLException

Deprecated.

Specified by:
  `getJDBCMinorVersion` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSQLStateType

    public int getSQLStateType()
                        throws SQLException

Deprecated.

Specified by:
  `getSQLStateType` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### locatorsUpdateCopy

    public boolean locatorsUpdateCopy()
                               throws SQLException

Deprecated.

Specified by:
  `locatorsUpdateCopy` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsStatementPooling

    public boolean supportsStatementPooling()
                                     throws SQLException

Deprecated.

Specified by:
  `supportsStatementPooling` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getRowIdLifetime

    public RowIdLifetime getRowIdLifetime()
                                   throws SQLException

Deprecated.

Specified by:
  `getRowIdLifetime` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getSchemas

    public ResultSet getSchemas(String catalog,
                                String schemaPtrn)
                         throws SQLException

Deprecated.

Specified by:
  `getSchemas` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### supportsStoredFunctionsUsingCallSyntax

    public boolean supportsStoredFunctionsUsingCallSyntax()
                                                   throws SQLException

Deprecated.

Specified by:
  `supportsStoredFunctionsUsingCallSyntax` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### autoCommitFailureClosesAllResultSets

    public boolean autoCommitFailureClosesAllResultSets()
                                                 throws SQLException

Deprecated.

Specified by:
  `autoCommitFailureClosesAllResultSets` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getClientInfoProperties

    public ResultSet getClientInfoProperties()
                                      throws SQLException

Deprecated.

Specified by:
  `getClientInfoProperties` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getFunctions

    public ResultSet getFunctions(String catalog,
                                  String schemaPtrn,
                                  String functionNamePtrn)
                           throws SQLException

Deprecated.

Specified by:
  `getFunctions` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### getFunctionColumns

    public ResultSet getFunctionColumns(String catalog,
                                        String schemaPtrn,
                                        String functionNamePtrn,
                                        String colNamePtrn)
                                 throws SQLException

Deprecated.

Specified by:
  `getFunctionColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap(Class<T> iface)
                 throws SQLException

Deprecated.

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

Deprecated.

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

#### getPseudoColumns

    public ResultSet getPseudoColumns(String catalog,
                                      String schemaPtrn,
                                      String tblNamePtrn,
                                      String colNamePtrn)
                               throws SQLException

Deprecated.

Specified by:
  `getPseudoColumns` in interface `DatabaseMetaData`
Throws:
  `SQLException`

#### generatedKeyAlwaysReturned

    public boolean generatedKeyAlwaysReturned()
                                       throws SQLException

Deprecated.

Specified by:
  `generatedKeyAlwaysReturned` in interface `DatabaseMetaData`
Throws:
  `SQLException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022